curl --request GET \
--url https://api.rewind.rest/v1/watching/recent \
--header 'Authorization: Bearer <token>'{
"data": [
{
"movie": {
"id": 15,
"title": "Ferris Bueller's Day Off",
"year": 1986,
"director": "John Hughes",
"directors": [
"John Hughes"
],
"genres": [
"Comedy"
],
"duration_min": 103,
"rating": "PG-13",
"image": {
"url": "https://cdn.rewind.rest/watching/movies/15/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "YRcKDQKadZh4d3Z4d3aHeAeAh4B3",
"dominant_color": "#2a2a2a",
"accent_color": "#c8a882"
},
"imdb_id": "tt0091042",
"tmdb_id": 9377,
"tmdb_rating": 7.6,
"tagline": "One man's struggle to take it easy.",
"summary": "A high school wise guy is determined to have a day off from school, despite what the Principal thinks of that."
},
"watched_at": "2026-03-10T02:30:00.000Z",
"source": "plex",
"user_rating": null,
"percent_complete": 100,
"rewatch": false,
"review": null,
"review_url": null
}
]
}Returns most recently watched movies. Supports date filtering via date, from, and to params.
curl --request GET \
--url https://api.rewind.rest/v1/watching/recent \
--header 'Authorization: Bearer <token>'{
"data": [
{
"movie": {
"id": 15,
"title": "Ferris Bueller's Day Off",
"year": 1986,
"director": "John Hughes",
"directors": [
"John Hughes"
],
"genres": [
"Comedy"
],
"duration_min": 103,
"rating": "PG-13",
"image": {
"url": "https://cdn.rewind.rest/watching/movies/15/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "YRcKDQKadZh4d3Z4d3aHeAeAh4B3",
"dominant_color": "#2a2a2a",
"accent_color": "#c8a882"
},
"imdb_id": "tt0091042",
"tmdb_id": 9377,
"tmdb_rating": 7.6,
"tagline": "One man's struggle to take it easy.",
"summary": "A high school wise guy is determined to have a day off from school, despite what the Principal thinks of that."
},
"watched_at": "2026-03-10T02:30:00.000Z",
"source": "plex",
"user_rating": null,
"percent_complete": 100,
"rewatch": false,
"review": null,
"review_url": null
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt
Use this file to discover all available pages before exploring further.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
1 <= x <= 50x >= 1Single day (YYYY-MM-DD). Overrides from/to.
^\d{4}-\d{2}-\d{2}$"2025-02-17"
Range start, inclusive (ISO 8601)
"2025-02-01T00:00:00Z"
Range end, inclusive (ISO 8601)
"2025-02-28T23:59:59Z"
Recent watches
Show child attributes